LeopardAssist

Download the old version of LeopardAssist for Mac

If you experience any compatibility issues with LeopardAssist for Mac, consider downloading one of the older versions of LeopardAssist. MacUpdate stores previous versions of LeopardAssist for you since v. 2.3.3.

Download the current version

Older versions of LeopardAssist for Mac